Subject: Re: [PATCH net-next] net: ieee802154: Fix compilation error when CONFIG_IEEE802154_NL802154_EXPERIMENTAL is disabled

From: Jakub Kicinski <[email-masked]>
Date: Wed, 31 Aug 2022 14:09:47 -0700

On Wed, 31 Aug 2022 22:59:14 +0200 Stefan Schmidt wrote:
> I was swamped today and I am only now finding time to go through mail.
> 
> Given the problem these ifdef are raising I am ok with having these 
> commands exposed without them.
> 
> Our main reason for having this feature marked as experimental is that 
> it does not have much exposure and we fear that some of it needs rewrites.
> 
> If that really is going to happen we will simply treat the current 
> commands as reserved/burned and come up with other ones if needed. While 
> I hope this will not be needed it is a fair plan for mitigating this.

Thanks for the replies. I keep going back and forth in my head on
what's better - un-hiding or just using NL802154_CMD_SET_WPAN_PHY_NETNS + 1 
as the start of validation, since it's okay to break experimental commands.

Any preference?